Devices
Manually register a device that has no agent.
Authorization
Authorization AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/devices/" \ -H "Content-Type: application/json" \ -d '{ "organizationId": "string", "name": "string", "platform": "MACOS", "memberId": "string" }'{ "id": "string", "shortId": -9007199254740991, "organizationId": "string", "createdAt": "string", "updatedAt": "string", "archivedAt": "string", "name": "string", "hostname": "string", "platform": "MACOS", "osVersion": "string", "serialNumber": "string", "hardwareModel": "string", "source": "AGENT", "deviceIdentifier": "string", "memberId": "string", "agentApiKeyId": "string", "diskEncryptionEnabled": true, "antivirusEnabled": true, "firewallEnabled": true, "passwordPolicySet": true, "screenLockEnabled": true, "osUpToDate": true, "isCompliant": true, "consentedAt": "string", "disclosureVersion": "string", "checkDetails": null, "appPolicyResults": null, "agentVersion": "string", "lastCheckIn": "string", "installedAt": "string"}How is this guide?